org.eclnt.jsfserver.elements.componentnodes

## Class MEDIAPLAYERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MEDIAPLAYERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MEDIAPLAYERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MEDIAPLAYERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MEDIAPLAYERNode` | `bindActionListener(IActionListenerDelegation value)`
    `MEDIAPLAYERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindComment(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindPausetrigger(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindPlaytrigger(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindStoptrigger(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindUrl(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `MEDIAPLAYERNode` | `setActionListener(java.lang.String value)`
    `MEDIAPLAYERNode` | `setAdapterbinding(java.lang.String value)`
    `MEDIAPLAYERNode` | `setAttributemacro(java.lang.String value)`
    `MEDIAPLAYERNode` | `setClientname(java.lang.String value)`
    `MEDIAPLAYERNode` | `setComment(java.lang.String value)`
    `MEDIAPLAYERNode` | `setConfiginfo(java.lang.String value)`
    `MEDIAPLAYERNode` | `setFxstyleseq(java.lang.String value)`
    `MEDIAPLAYERNode` | `setHeight(int value)`
    `MEDIAPLAYERNode` | `setHeight(java.lang.String value)`
    `MEDIAPLAYERNode` | `setId(java.lang.String value)`
    `MEDIAPLAYERNode` | `setPausetrigger(java.lang.String value)`
    `MEDIAPLAYERNode` | `setPlaytrigger(java.lang.String value)`
    `MEDIAPLAYERNode` | `setReference(java.lang.String value)`
    `MEDIAPLAYERNode` | `setRendered(boolean value)`
    `MEDIAPLAYERNode` | `setRendered(java.lang.String value)`
    `MEDIAPLAYERNode` | `setShadow(java.lang.String value)`
    `MEDIAPLAYERNode` | `setStoptrigger(java.lang.String value)`
    `MEDIAPLAYERNode` | `setStyleseq(java.lang.String value)`
    `MEDIAPLAYERNode` | `setStylevariant(java.lang.String value)`
    `MEDIAPLAYERNode` | `setTooltip(java.lang.String value)`
    `MEDIAPLAYERNode` | `setUrl(java.lang.String value)`
    `MEDIAPLAYERNode` | `setWidth(int value)`
    `MEDIAPLAYERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MEDIAPLAYERNode

          public MEDIAPLAYERNode()

  - ### Method Detail

    - #### setId

          public MEDIAPLAYERNode setId(java.lang.String value)

    - #### setActionListener

          public MEDIAPLAYERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public MEDIAPLAYERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public MEDIAPLAYERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public MEDIAPLAYERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public MEDIAPLAYERNode setAttributemacro(java.lang.String value)

    - #### setClientname

          public MEDIAPLAYERNode setClientname(java.lang.String value)

    - #### bindClientname

          public MEDIAPLAYERNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public MEDIAPLAYERNode setComment(java.lang.String value)

    - #### bindComment

          public MEDIAPLAYERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public MEDIAPLAYERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MEDIAPLAYERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public MEDIAPLAYERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public MEDIAPLAYERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public MEDIAPLAYERNode setHeight(java.lang.String value)

    - #### bindHeight

          public MEDIAPLAYERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public MEDIAPLAYERNode setHeight(int value)

    - #### setPausetrigger

          public MEDIAPLAYERNode setPausetrigger(java.lang.String value)

    - #### bindPausetrigger

          public MEDIAPLAYERNode bindPausetrigger(IDynamicContentBindingObject value)

    - #### setPlaytrigger

          public MEDIAPLAYERNode setPlaytrigger(java.lang.String value)

    - #### bindPlaytrigger

          public MEDIAPLAYERNode bindPlaytrigger(IDynamicContentBindingObject value)

    - #### setReference

          public MEDIAPLAYERNode setReference(java.lang.String value)

    - #### setRendered

          public MEDIAPLAYERNode setRendered(java.lang.String value)

    - #### bindRendered

          public MEDIAPLAYERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MEDIAPLAYERNode setRendered(boolean value)

    - #### setShadow

          public MEDIAPLAYERNode setShadow(java.lang.String value)

    - #### bindShadow

          public MEDIAPLAYERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStoptrigger

          public MEDIAPLAYERNode setStoptrigger(java.lang.String value)

    - #### bindStoptrigger

          public MEDIAPLAYERNode bindStoptrigger(IDynamicContentBindingObject value)

    - #### setStyleseq

          public MEDIAPLAYERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public MEDIAPLAYERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public MEDIAPLAYERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MEDIAPLAYERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public MEDIAPLAYERNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public MEDIAPLAYERNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUrl

          public MEDIAPLAYERNode setUrl(java.lang.String value)

    - #### bindUrl

          public MEDIAPLAYERNode bindUrl(IDynamicContentBindingObject value)

    - #### setWidth

          public MEDIAPLAYERNode setWidth(java.lang.String value)

    - #### bindWidth

          public MEDIAPLAYERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public MEDIAPLAYERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.